2009-05-06  Federico Mena Quintero  <federico@novell.com>

	* xrandr-capplet.c (rebuild_current_monitor_label): Make the label
	of the heading for the current monitor be explicitly black.  We
	don't want to follow the theme's colors, as the label is always
	shown against a light pastel background --- using the theme's
	colors makes the label hard to read on "inverse" themes.  Fixes
	the gnome-control-center part of bug #556050.

2009-04-11  Matthias Clasen  <mclasen@redhat.com>

	* display-capplet.glade: Make all mnemonics work. (#578572)

2009-03-30  Federico Mena Quintero  <federico@novell.com>

	* xrandr-capplet.c (ensure_current_configuration_is_saved): Save
	monitors.xml with the current configuration before changing it, so
	that we'll have something to go back to even on a first-time login
	(when monitors.xml doesn't exist).

2009-03-20  Federico Mena Quintero  <federico@novell.com>

	* xrandr-capplet.c (begin_version2_apply_configuration): There is no need
	to check the result of dbus_g_proxy_new_for_name(); it can't fail.
	(begin_version1_apply_configuration): Likewise.
	(apply_configuration_returned_cb): Fix a potential leak of the
	proxy in the error case.
	(apply): Simplify a bit, now that the initial call to
	begin_version2_apply_configuration() can't fail.

2009-03-19  Federico Mena Quintero  <federico@novell.com>

	http://bugzilla.gnome.org/show_bug.cgi?id=576006 - The
	confirmation dialog from the RANDR plugin can appear behind the
	window from gnome-display-properties.  This also depends on a
	change to gnome-settings-daemon, although it will work with older
	g-s-d as well.
	
	* xrandr-capplet.c (apply): Call the new DBus API for
	ApplyConfiguration in org.gnome.SettingsDaemon.XRANDR_2, or the
	old one if that fails.
	(begin_version2_apply_configuration): New helper function; calls
	the new API.
	(begin_version1_apply_configuration): New helper function; calls
	the old API.
	(apply_configuration_returned_cb): If the new API is not
	available, try the old one.  This makes us compatible with older
	versions of gnome-settings-daemon.
	(error_message): Allow a NULL secondary_text.

2009-03-11  Federico Mena Quintero  <federico@novell.com>

	http://bugzilla.gnome.org/show_bug.cgi?id=574865 - Crash when
	refreshing the RANDR configuration.

	* xrandr-capplet.c (select_current_output_from_dialog_position):
	Always set app->current_output; otherwise we could be left with a
	dangling pointer to the old current_output (which is invalid after
	refreshing the current_configuration).
	(on_screen_changed): Null out the current_output when we get a new
	RANDR configuration, as it will become obsolete as soon as we free
	the old configuration.

2009-03-11  Gabor Kelemen  <kelemeng@gnome.hu>

	* xrandr-capplet.c: Make the strings of the Rotation dialog appear
	translated. Bug #574693.

==================== 2.25.92 ====================

2009-02-21  Jens Granseuer  <jensgr@gmx.net>

	* xrandr-capplet.c: (error_message): GTK_DIALOG_NO_SEPARATOR cannot be
	used with GtkMessageDialog

2009-02-19  Federico Mena Quintero  <federico@novell.com>

	* xrandr-capplet.c (paint_output): Make "on" monitors have black
	text, to be consistent with GnomeRRLabeler's little labels.

2009-02-08  Jens Granseuer  <jensgr@gmx.net>

	* display-capplet.glade:
	* display-properties.desktop.in.in: change window title and menu entry
	name to "Display"/"Display Preferences" to be consistent with other
	settings dialogs (bug #570907)

2009-02-05  Federico Mena Quintero  <federico@novell.com>

	https://bugzilla.novell.com/show_bug.cgi?id=472226 - Don't block
	the display capplet's GUI while changing the RANDR configuration.

	* xrandr-capplet.c (struct App): Move the D-bus fields into here,
	outside of apply().
	(apply): Use an async D-bus call to gnome-settings-daemon so we
	don't block the GUI.  Keep the GUI desensitized while the call is
	happening.

2009-02-04  Federico Mena Quintero  <federico@novell.com>

	https://bugzilla.novell.com/show_bug.cgi?id=434729 - Realign the
	outputs when changing the resolution of one of them, so one
	doesn't get overlapping monitors (when the resolution becomes
	bigger) or disjoint monitors (when the resolution becomes smaller).

	* xrandr-capplet.c (on_resolution_changed): Align the monitors.
	(realign_outputs_after_resolution_change): New function.  The
	algorithm here could certainly be improved...

==================== 2.25.90 ====================

2009-01-26  Jens Granseuer  <jensgr@gmx.net>

	* xrandr-capplet.c: (rebuild_rate_combo),
	(rebuild_resolution_combo): don't crash if we don't have an output
	(bug #569218)

2008-12-18  Federico Mena Quintero  <federico@novell.com>

	* xrandr-capplet.c (get_output_for_window): Include "off" outputs
	in the intersected rectangles.  This makes the capplet not select
	a new output when changing virtual desktops.

2008-12-18  Federico Mena Quintero  <federico@novell.com>

	https://bugzilla.novell.com/show_bug.cgi?id=433939 - It's not
	obvious how to turn on a new monitor.

	* display-capplet.glade: Add On/Off radio buttons for the selected
	monitor, as it is hard to find that the on/off state is actually
	set by the Resolution combo.

	* xrandr-capplet.c (rebuild_gui): Don't set sensitivity of
	resolution_combo here...
	(rebuild_resolution_combo): ... but do it here instead.  This is
	so that we can match the state of the monitor on/off buttons.
	(rebuild_on_off_radios): New function.  We set the on/off radio
	buttons based on the "on" state of the current output.
	(monitor_on_off_toggled_cb): New callback; we toggle the current
	output's on/off state.
	(rebuild_resolution_combo): Desensitize the resolution combo when
	the output is off.  Don't add an "Off" item to it, either.

2008-12-18  Federico Mena Quintero  <federico@novell.com>

	* xrandr-capplet.c (select_current_output_from_dialog_position):
	Fix the type of the "output" variable.

==================== 2.25.3 ====================

2008-12-16  Federico Mena Quintero  <federico@novell.com>

	https://bugzilla.novell.com/show_bug.cgi?id=450141 - Help button
	in the Display capplet does nothing.

	* xrandr-capplet.c (run_application): Hide the Help button as we
	have no help to show for this capplet yet.
	(hide_help_button): New function.

2008-12-16  Frederic Peters  <fpeters@0d.be>

	* xrandr-capplet.c: (select_current_output_from_dialog_position):
	Declare variable, fix build.

2008-12-15  Federico Mena Quintero  <federico@novell.com>

	* xrandr-capplet.c (on_screen_changed): Use
	select_current_output_from_dialog_position() instead of selecting
	an output ourselves.

2008-12-15  Federico Mena Quintero  <federico@novell.com>

	* xrandr-capplet.c (select_current_output_from_dialog_position):
	New function.
	(dialog_map_event_cb): New GtkWidget::map-event handler for the
	toplevel dialog.  When the dialog gets mapped, we make the current
	output be the one which actually contains the dialog window, so
	that the user can edit the monitor which he's looking at.

2008-12-15  Federico Mena Quintero  <federico@novell.com>

	* display-capplet.glade: Put the "Monitor" label inside an event
	box, so we can change the background color of the event box.  Give
	names to both widgets: current_monitor_label,
	current_monitor_event_box.

	* xrandr-capplet.c (rebuild_gui): When a monitor is selected,
	update the "Monitor" label to include the monitor's name and color
	so the user will know which monitor he is editing.
	(rebuild_current_monitor_label): New function.
	(struct App): New fields current_monitor_label,
	current_monitor_event_box.

2008-12-12  Federico Mena Quintero  <federico@novell.com>

	https://bugzilla.novell.com/show_bug.cgi?id=381030 - Prettify the
	Display capplet's dialog

	* display-capplet.glade: Use the HIG's recommended colons,
	capitalization, and spacing.  Use headers to separate the Monitor
	options from the Panel icon option.  Add instructions on how to
	operate the draggable monitors.

2008-12-12  Federico Mena Quintero  <federico@novell.com>

	* xrandr-capplet.c (on_clone_changed): If we turn off "mirror
	screens", and if the monitors are still overlapping, lay out the
	monitors from left to right so that the user will know that all
	the monitors are present.  Previously you had to know that you had
	to un-overlap them by hand.
	(lay_out_outputs_horizontally): New function.

2008-12-03  Federico Mena Quintero  <federico@novell.com>

	* xrandr-capplet.c (rebuild_rotation_combo): Pass a NULL error
	argument to gnome_rr_config_applicable; we should really show why
	that rotation is not available.
	(apply): Use the new DBus interface from the XRANDR plugin in
	g-s-d instead of an X client message.  Display an error if g-s-d
	couldn't apply the monitor configuration.
	(gnome_randr_atom): Removed.
	(on_detect_displays): Display an error if detecting the displays fails.
	(run_application): Display error messages.

==================== 2.25.2 ====================

==================== 2.25.1 ====================

Wed Oct  8 21:20:21 2008  S?ren Sandmann  <sandmann@redhat.com>

	* scrollarea.c (foo_scroll_area_size_allocate): XOR the old and
	the new regions instead of subtracting old from new. Fixes bug
	551566, reported by Christian Persch.

Wed Oct  8 21:15:04 2008  S?ren Sandmann  <sandmann@redhat.com>

	* xrandr-capplet.c: Make use of new clone mode API in
	gnome-desktop

2008-10-08  Christian Persch  <chpe@gnome.org>

	* display-capplet.glade: Correct some HIG problems.
	* xrandr-capplet.c: (show_error), (add_key), (run_application):
	Remove/#if 0 some unused code. Bug #551511.

2008-10-07  Jens Granseuer  <jensgr@gmx.net>

	* xrandr-capplet.c: (paint_output): fix preview orientation when using
	left or right rotation. The XRandR coordinate system is rotated
	counter-clockwise (bug #555241)

2008-09-26  Jens Granseuer  <jensgr@gmx.net>

	Patch by: Matt Keenan <matt.keenan@sun.com>

	* xrandr-capplet.c: (show_error), (run_application): show an error
	dialog instead of crashing when initialization fails due to XRandR
	not being available (bug #553762)

==================== 2.24.0.1 ====================

2008-09-06  Jens Granseuer  <jensgr@gmx.net>

	Patch by: Bruce Cowan <bugs@bcowan.fastmail.co.uk>

	* xrandr-capplet.c: (paint_background): use theme colours for the
	background (bug #545117)

2008-08-20  Federico Mena Quintero  <federico@novell.com>

	* xrandr-capplet.c (get_display_name): Use "Mirror Screens"
	instead of "Cloned Output" in the display of monitors, to be
	consistent with the corresponding checkbox from the Glade file.
	Fixes https://bugzilla.novell.com/show_bug.cgi?id=381027

2008-08-13  Federico Mena Quintero  <federico@novell.com>

	* xrandr-capplet.c (paint_output): Instead of using hard-coded
	colors for the rectangles that represent the monitors, get the
	colors from the GnomeRRLabeler.

2008-08-13  Federico Mena Quintero  <federico@novell.com>

	* xrandr-capplet.c (on_screen_changed): Create a GnomeRRLabeler
	based on the current screen configuration, so that the physical
	monitors will be labeled while the capplet is up.
	(struct App): New field "labeler".

2008-08-11  Jens Granseuer  <jensgr@gmx.net>

	* xrandr-capplet.c: (run_application): fail gracefully if we cannot
	get a screen

2008-08-08  Jens Granseuer  <jensgr@gmx.net>

	* xrandr-capplet.c: (on_screen_changed), (rebuild_gui),
	(print_edge), (on_output_event), (paint_output), (on_area_paint),
	(check_required_virtual_size), (apply), (run_application): replace
	all uses of g_print by g_debug

2008-08-08  Jens Granseuer  <jensgr@gmx.net>

	* xrandr-capplet.c: (run_application), (main): don't leak the
	application or the GladeXML

Tue Aug  5 03:19:23 2008  S?ren Sandmann  <sandmann@redhat.com>

	* xrandr-capplet.c (paint_output): Draw rotated outputs rotated.

Tue Jul 29 01:35:31 2008  S?ren Sandmann  <sandmann@redhat.com>

	* xrandr-capplet.c: Add a check box to turn on and off display icon.

Tue Jul 15 18:48:43 2008  S?ren Sandmann  <sandmann@redhat.com>

	* xrandr-capplet.c: Don't allow dragging when there is only one
	connected monitor.

Thu Jul 10 14:46:37 2008  S?ren Sandmann  <sandmann@redhat.com>

	* main.c: Remove this obsolete file.
	
	* xrandr-capplet.c: Remove debug spew; add translation.

	* TODO: Various updates.

2008-06-18  Jens Granseuer  <jensgr@gmx.net>

	* scrollarea.h: fix cairo include

Tue Jun 17 19:51:03 2008  S?ren Sandmann  <sandmann@redhat.com>

	* Merge randr-12 to trunk

Tue Jun 17 18:29:46 2008  S?ren Sandmann  <sandmann@redhat.com>

	* Port to changes in gnome-desktop

2008-06-04  Federico Mena Quintero  <federico@novell.com>

	* xrandr-capplet.c (driver_is_randr_10): New function, currently
	unused, to detect whether the graphics driver used in the X server
	only supports the RANDR 1.0 API.  We may find this information
	useful to tell the user that not all the features in the capplet
	will work as intended, or to actually disable features that won't work.

2008-05-29  Federico Mena Quintero  <federico@novell.com>

	* xrandr-capplet.c (apply): Before applying the settings, check if
	the X server supports the Virtual size we need.
	(check_required_virtual_size): New function; does the checking
	against what the X server supports.
	This still needs to present a friendly dialog box.
	(compute_virtual_size_for_configuration): New function.

Wed May 14 18:16:10 2008  S?ren Sandmann  <sandmann@redhat.com>

	* xrandr-capplet.c: Add GNOME_DESKTOP_USE_UNSTABLE_API define

	* scrollarea.[ch]: Add copyright statement

2008-05-14  Soren Sandmann Pedersen  <sandmann@redhat.com>

	* *: Check in new RandR 1.2 enabled capplet

==================== 2.23.2 ====================

2008-02-19  Jens Granseuer  <jensgr@gmx.net>

	* main.c: (create_dialog), (save_to_gconf): escape strange hostnames
	that we want to use as GConf keys (see bug #517259 for a similar issue
	in gnome-settings-daemon)

2007-10-28  Jens Granseuer  <jensgr@gmx.net>

	* main.c: (display_rotation_from_text), (create_rotate_menu): readd gettext
	macro that accidentally got stripped

2007-10-28  Jens Granseuer  <jensgr@gmx.net>

	* main.c: (display_rotation_from_text), (get_current_resolution),
	(get_current_rate), (get_current_rotation), (wrap_in_label),
	(resolution_changed_callback), (generate_rate_menu),
	(generate_resolution_menu), (initialize_combo_layout),
	(create_rate_menu), (create_rotate_menu), (create_screen_widgets),
	(create_dialog), (save_timeout_callback), (run_revert_dialog),
	(save_to_gconf), (cb_dialog_response), (main): whitespace cleanup and a
	few minor tweaks

2007-10-27  Jens Granseuer  <jensgr@gmx.net>

	* main.c: (free_display_info), (update_display_info),
	(read_display_info), (apply_config), (revert_config): revert some of
	the previous "clean-up", add some new, and fix another leak

2007-10-27  Jens Granseuer  <jensgr@gmx.net>

	* main.c: (run_revert_dialog), (main): fix string capitalization

2007-10-27  Jens Granseuer  <jensgr@gmx.net>

	* main.c: (free_display_info), (restart_screensaver),
	(apply_config), (revert_config), (cb_dialog_response), (main): clean up
	code a bit and fix a few leaks

2007-06-29  Jens Granseuer  <jensgr@gmx.net>

	* display-capplet.png: remove

	* Makefile.am:
	* display-properties.desktop.in.in:
	* icons/16x16/gnome-display-properties.png:
	* icons/22x22/gnome-display-properties.png:
	* icons/24x24/gnome-display-properties.png:
	* icons/32x32/gnome-display-properties.png:
	* icons/scalable/gnome-display-properties.svg:
	* main.c: (create_dialog): add and use new icon by Jakub Steiner
	<jimmac@ximian.com>. Closes bug #375230.

2007-06-26  Michael Terry  <mike@mterry.name>

	* Makefile.am, main.c, display-properties.desktop.in.in: Use
	icon theme instead of global pixmaps dir for app icon. Closes
	bug #450777.

2007-06-16  Jens Granseuer  <jensgr@gmx.net>

	* main.c: (run_revert_dialog), (cb_dialog_response): don't make the
	revert dialog transient since it's actually never on screen at the
	same time as the main dialog. Closes bug #448160.

2007-05-22  Jens Granseuer  <jensgr@gmx.net>

	* main.c: (get_current_resolution): surivive XRandR returning weird
	results for some dual-screen setups. This fixes the crash in bug
	#356520, but a proper fix for handling this situation is still
	necessary, unless this is just a driver/X bug...

2007-04-27  Rodrigo Moya <rodrigo@gnome-db.org>

	* display-properties.desktop.in.in: renamed Bugzilla product.

2007-03-23  Jens Granseuer  <jensgr@gmx.net>

	* main.c: (show_resolution): add 720x576 (PAL) to the list of valid
	resolutions. Closes bug #325548.

2007-03-21  Jens Granseuer  <jensgr@gmx.net>

	* main.c: uppercase the rotation options. Closes bug #410959.

2007-03-01  Jens Granseuer  <jensgr@gmx.net>

	* main.c: (create_dialog): fix double-free reported by Sandino
	Flores-Moreno. Closes bug #413352.

2007-01-29  Kjartan Maraas  <kmaraas@gnome.org>

	* main.c: Mark a struct static.

2006-12-08  Kjartan Maraas  <kmaraas@gnome.org>

	* main.c: (wrap_in_label), (create_dialog):
	Don't leak the resolution. Pass NULL to gtk_label_new
	to do less work. Bug #376949.

2006-09-15  Brian Cameron <brian.cameron@sun.com>

	Fixes #356075

	* main.c (apply_config, revert_config): make sure we never pass
	negative values for the rates.

2006-08-18  Rodrigo Moya <rodrigo@novell.com>

	* main.c (create_dialog): free 'resolution' string after using it,
	not before. Found by Kjartan Maraas  <kmaraas@gnome.org>.

2006-08-07  Rodrigo Moya <rodrigo@novell.com>

	Fixes #348838

	* display-properties.desktop.in.in: Fixed GNOME Bugzilla fields.

2006-08-07  Sebastien Bacher  <seb128@debian.org>

	* main.c: (create_rotate_menu): fix build with gcc-2.95,
	  patch by Jens Granseuer <jensgr@gmx.net> (Closes: #347611)

2005-11-14  Kjartan Maraas  <kmaraas@gnome.org>

	* main.c: Mark some functions static.

2005-07-20  Rodrigo Moya <rodrigo@novell.com>

	* main.c (get_screensaver_command): new function to get the correct
	screensaver command to run.
	(apply_config, revert_config): use gnome-screensaver if available.

2005-02-08  Sebastien Bacher  <seb128@debian.org>

	* main.c: (wrap_in_label):
        patch by Kjartan Maraas <kmaraas@gnome.org>, some code cleanups
        (Closes: #166267).

2004-11-09  Mark McLoughlin  <mark@skynet.ie>

	* Makefile.am: install .desktop file in $(datadir)/applications.
	
	* display-properties.desktop.in: add OnlyShowIn=GNOME;

2004-10-14  Jody Goldberg <jody@gnome.org>

	* Release 2.8.1

2004-06-10  David Sede?o <david@alderia.com>

	http://bugzilla.gnome.org/show_bug.cgi?id=136483
	* main.c (run_revert_dialog, cb_dialog_response) : Hide 
	the configuration dialog and center the confirmation one.

2004-06-09  David Sede?o <david@alderia.com>
 
	http://bugzilla.gnome.org/show_bug.cgi?id=137579
	* main.c (main) : Put title to the confirmation dialog box

2004-05-11  Jody Goldberg <jody@gnome.org>

	From ruben@lambda1.be
	https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=140047
	* main.c (main) : s/XServer/X Server/
	and a patch to use g_signal_connect

2004-04-15  Jody Goldberg <jody@gnome.org>

	* Release 2.6.1

2004-04-15  Jody Goldberg <jody@gnome.org>

	For Alex Larsson :
	https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=119494
	* main.c : fix reverting size change

2004-04-01  Jody Goldberg <jody@gnome.org>

	* Release 2.6.0.3

2004-03-30  Jody Goldberg <jody@gnome.org>

	* Release 2.6.0.1

2004-03-23  Jody Goldberg <jody@gnome.org>

	* Release 2.6.0

2004-03-11  Jody Goldberg <jody@gnome.org>

	* Release 2.5.4

2004-03-02  Fernando Herrera  <fherrera@onirica.com>

	http://bugzilla.gnome.org/show_bug.cgi?id=125315
	* main.c: (cb_dialog_response): Point help to the right section

2004-03-02  Jody Goldberg <jody@gnome.org>

	http://bugzilla.gnome.org/show_bug.cgi?id=135908
	* main.c (apply_config) : restart the screensaver

